From a77f9d71abc85cbf04b1a6bab5e9a55aea3e54d3 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 04:52:12 +0000
Subject: [PATCH 11/15] Do not generate document for sample rpkg app


There is already generated cli.rst. Therefor, no need to generate a
sample-rpkg.rst inside source/commands/.

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/doc/generate_commands_docs.py b/doc/generate_commands_docs.py
index 8e10e8e..f9e611d 100644
--- a/doc/generate_commands_docs.py
+++ b/doc/generate_commands_docs.py
@@ -232,34 +232,6 @@ def generate_cli_rst(parser, cli_subparsers, template_dir=None):
             commands_list='\n'.join(commands_list)))
 
 
-def generate_app_rst_doc(parser, cli_subparsers, template_dir=None):
-    """
-    Generate app RST document inside commands directory for generating manpage
-
-    commands/[app name].rst is not added to a toctree. There will be a warning
-    for this. Just ignore that warning.
-
-    :param parser: the parser object of application.
-    :type parser: `argparse.ArgumentParser`
-    """
-    commands = [
-        '**{0}-{1}**\n  {2}\n'.format(parser.prog, action.dest, action.help)
-        for action in cli_subparsers._get_subactions()
-    ]
-
-    tmpl = read_template('app.rst', template_dir=template_dir)
-    synopsis_global_options = generate_app_synopsis_global_options(
-        parser, template_dir=template_dir)
-    rst_file = join(COMMANDS_DOCS_DIR, '{0}.rst'.format(parser.prog))
-    with open(rst_file, 'w+') as rst:
-        rst.write(tmpl.format(
-            name=parser.prog,
-            name_section_marker='=' * len(parser.prog),
-            synopsis_global_options=synopsis_global_options,
-            commands='\n'.join(commands)
-        ))
-
-
 def build_cli_parser():
     def validate_template_dir(value):
         if not os.path.exists(value):
@@ -319,9 +291,6 @@ if __name__ == '__main__':
     logger.info('Generate CLI RST for generating HTML document')
     generate_cli_rst(
         client.parser, client.subparsers, template_dir=args.template_dir)
-    logger.info('Generate app RST inside commands/ for generating manpage')
-    generate_app_rst_doc(
-        client.parser, client.subparsers, template_dir=args.template_dir)
 
     logger.info('Generate man_pages list from registered commands that will be'
                 ' read in conf.py')

